%define upstream_name    Dist-Zilla-Plugin-InstallRelease
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Installs your dist after releasing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
After doing 'dzil release', this plugin will install your dist so you are
always the first person to have the latest and greatest version. It's like
getting first post, only useful.

To use it, add the following in _dist.ini_:

    [InstallRelease]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 739039
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 684459
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 511038
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 366225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 218720
- update to 0.008

* Wed Jun 15 2011 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 106847
- update to 0.007

* Mon Mar 14 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 71239
- imported package perl-Dist-Zilla-Plugin-InstallRelease


* Mon Mar 14 2011 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
